Docs
Assignment APIAssignment

Get assignment for approved product

Security groups:AssignersDeniers
GET
/assignments/{taxonomy}/approved/{productId}/{shopId}/{application}

Returns the approved assignment for a specific product, shop, and application in the given taxonomy.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

taxonomy*string

The classification system to use.

  • TARIC: The Integrated Tariff of the European Union, used for EU customs classification.
  • TARES: The Swiss customs tariff, used for goods imported into Switzerland.
  • UKGT: The UK Global Tariff, used for goods imported into the United Kingdom.
Value in"TARIC" | "TARES" | "UKGT"
productId*string

The ID of the product.

Length1 <= length <= 65
shopId*integer

The ID of the shop.

Formatint64
application*string

The eClear service the assignment belongs to.

Value in"VAT-RULES" | "CLEAR-VAT" | "CLEAR-CUSTOMS"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/assignments/TARIC/approved/product123/100/VAT-RULES"
{
  "productClassCode": "123456",
  "validFrom": "2024-01-01T15:15:15.840Z"
}
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "NotFound",
  "message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
  "status": "NOT_FOUND"
}